Skip to content

List Load Balancers Attached to a Group

GET
/api/v1/scaler/scalegroups/lb_details/{scaler_id}
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/lb_details/{scaler_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the load balancers that route traffic to the auto scaling group - each load balancer’s id, name, and status. An auto scaling group is typically used as a backend of a load balancer so that scaled-out nodes automatically receive traffic.

scaler_id
required
integer

The id of the auto scaling group, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the group.

Example

<LOCATION>

Successful response

Media typeapplication/json

Load balancers attached to the group.

object
code
integer
data
Array<object>
object
id
integer
name
string
status
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 12345,
"name": "LB-ALB-Example",
"status": "RUNNING"
}
],
"message": "Success"
}